按日查询余额流水

GEThttps://api.astrum.shop/v1/balance/history
权限范围 wallet:read

一个 UTC 自然日内的充值、订单付款、退款、调整和余额提取记录,最新的在前。不带 date 即为当天。

参数

date
查询 · string | null

日期,格式 YYYY-MM-DD(UTC)。

响应

date
string

日期,格式 YYYY-MM-DD(UTC)。

operations
array

当天的余额流水,最新的在前。

↳operation_id
string

流水编号。

↳type
string

流水类型:

top_up
充值
order
订单付款
refund
退款
correction
调整
withdrawal
提取余额
↳amount_usdt
string

带符号的金额:充值和退款为正数,订单付款和余额提取为负数。

↳balance_after_usdt
string

变动后余额。

↳order_id
string | null

订单号:订单付款和退款时返回;否则为 null。

↳network
string | null

转账网络:充值时返回;否则为 null。

↳tx_hash
string | null

链上转账哈希:充值时返回;否则为 null。

↳comment
string | null

调整或余额提取的原因。

↳created_at
string

时间(UTC)。

所有接口通用的错误,详见「错误码」章节:

10001 invalid_key10002 key_scope_missing10003 ip_not_allowed10004 browser_not_allowed10005 account_suspended20001 too_many_requests90002 api_disabled90001 internal_error
测试 USDT,
密钥 ask_test_…
curl https://api.astrum.shop/v1/balance/history \
  -H "Authorization: Bearer $ASTRUM_KEY"